------------------------------------------------------------------------------------
--Name:  	xiaolong6
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-07
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(228, 266)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:SetViewScale(180)
local effect_0 = CppScriptMgr:AddEffect("map_lxljx1", 234, 256, 33, 1, 1, 1)
local Player_3 = CppScriptMgr:AddSimplePlayer(17591, 234, 256, "", 0, 0)
Player_3:SetDir(3)
Player_3:SetZoomPercent(120)
local Player_4 = CppScriptMgr:AddSimplePlayer(1056035, 222, 260, "", 0, 0)
Player_4:SetDir(7)
local Player_6 = CppScriptMgr:AddSimplePlayer(1055975, 224, 277, "", 0, 0)
Player_6:SetDir(3)
local Player_7 = CppScriptMgr:AddSimplePlayer(1056025, 240, 265, "", 0, 0)
Player_7:SetDir(3)
local Player_8 = CppScriptMgr:AddSimplePlayer(1056225, 234, 279, "", 0, 0)
Player_8:SetDir(3)
local Player_9 = CppScriptMgr:AddSimplePlayer(1056235, 238, 271, "", 0, 0)
Player_9:SetDir(3)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Why didn`t you make any progress? You still need to rely on me.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "Dragon（Twin City）", 250, 655,true)
CppScriptMgr:WaitMilSec(2000)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 214, 268, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(340)
local monster_0 = CppScriptMgr:AddPlayer(195, 214, 268, "", 0, 0)
monster_0:SetDir(5)
monster_0:SetZoomPercent(200)
local Effect_2 = CppScriptMgr:AddEffect("mag_pro_rep", 236, 273, 33, 1, 1, 1)
Effect_2:Scale(5, 3, 5)
CppScriptMgr:WaitMilSec(2040)
monster_0:SetAction(102)
CppScriptMgr:WaitMilSec(600)
CppScriptMgr:NpcCallOut("Don`t get cocky! You would not have the chance if this Devourer hadn`t got stronger!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSLHX", 150, 430, "DragonImage", 250, 655,true)
Player_3:SetAction(101)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Just one thing: don`t hinder me!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "Dragon（Twin City）", 250, 655,true)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Come one, old friends!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSHS", 150, 430, "Devourer", 250, 655,true)
Player_4:SetAction(401)
CppScriptMgr:WaitMilSec(2000)